Bug 989658 - phpMyAdmin: XSS due to improper validation of the retrieved JSON file (PMASA-2013-11)
phpMyAdmin: XSS due to improper validation of the retrieved JSON file (PMASA-...
Status: CLOSED DUPLICATE of bug 989657
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130728,repor...
: Security
Depends On: 989678 989679 989880
Blocks: 989687
  Show dependency treegraph
 
Reported: 2013-07-29 13:09 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:56 EST (History)
6 users (show)

See Also:
Fixed In Version: phpMyAdmin 3.5.8.2, phpMyAdmin 4.0.4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 05:23:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-29 13:09:07 EDT
A security flaw was found in the way JSON file to be retrieved version check functionality of phpMyAdmin, a tool written in PHP intended to handle the administration of MySQL over the World Wide Web, previously used to validate content of the retrieved JSON file. A remote attacker could provide a specially-crafted JSON format file that, when accepted (and processed) by the phpMyAdmin's user session would lead to arbitrary HTML or web script execution in the context of phpMyAdmin's user session.

Upstream advisory:
[1] http://www.phpmyadmin.net/home_page/security/PMASA-2013-11.php

Relevant patches:
[2] https://github.com/phpmyadmin/phpmyadmin/commit/b9c814ed6d59733c54965e01e90ffd5d3348fd2c (master)
[3] https://github.com/phpmyadmin/phpmyadmin/commit/333d82d3271b2a1b445134bb6bbb15ae8c9ba8a6 (3.5.x)
Comment 1 Jan Lieskovsky 2013-07-29 13:17:31 EDT
This issue affects the latest version of the phpMyAdmin package, as shipped with Fedora release of 18, 19, and Fedora EPEL 6. Please schedule an update.

--

This issue did not affect the latest version of the phpMyAdmin package, as shipped with Fedora EPEL-5.
Comment 2 Jan Lieskovsky 2013-07-29 13:35:29 EDT
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 989678]
Affects: epel-6 [bug 989679]
Comment 4 Jan Lieskovsky 2013-07-30 05:23:11 EDT

*** This bug has been marked as a duplicate of bug 989657 ***

Note You need to log in before you can comment on or make changes to this bug.